import {Module} from "@nestjs/common";
import {TypeOrmModule} from "@nestjs/typeorm";
import {FoodProduct} from "../foodProduct/foodProduct.entity";
import {FoodProductIngredient} from "../foodProduct/foodProductIngredient.entity";
import {FoodProductFootprintService} from "./foodProductFootprint.service";
import {FoodProductService} from "../foodProduct/foodProduct.service";
import {CarbonEmissionFactor} from "../carbonEmissionFactor/carbonEmissionFactor.entity";
import {FoodProductFootprintController} from "./foodProductFootprint.controller";

@Module({
  imports: [TypeOrmModule.forFeature([FoodProduct, FoodProductIngredient, CarbonEmissionFactor])],
  providers: [FoodProductService, FoodProductFootprintService],
  controllers: [FoodProductFootprintController],
})
export class FoodProductFootprintModule {}
